Overview

Other MyFaces Extensions

Community

Development

Sponsorship

Skip to end of metadata
Go to start of metadata

Versions

The current version is 1.0.5.

JSF-Versions

MyFaces CODI is compatible with JSF 1.2 and 2.x.

JPA-Versions

MyFaces CODI is compatible with JPA 1.0 and 2.0.

Why 1.0.x?

CODI is successfully used for several ! real world ! applications which serve millions requests a day. However, we don't increase the version numbers for marketing reasons. It's planned to keep the first two version numbers in sync with the version number of the CDI Spec. Whereas Seam uses the more marketing oriented approach. Seam3 is implemented from scratch and is not an improved version of Seam2. So you could think about it like SeamCDI v1. Seam2 is a whole framework which esp. connects JSF with EJBs + other small improvements and modules. So Seam3 is quite different than Seam2, since the original idea of Seam is available in JEE 6 out-of-the-box.

Migration Guide

Between v0.9.x and v1.0.0 we did a small cleanup. There is no functional change. All changes are type-safe and easy to find. E.g. one package moved - so you just have to remove the old import statement and let the IDE import the class again.

Furthermore, the maven dependency for the all-in-one JAR changed - see CODI Modules - Overview and Setup.

Labels
  • No labels